# October Updates 2023

Check out what we've been doing at Terra over the month of October!

## Backend 💾

### Features

* The USER ID from the Wearable company end is now provided in the athlete endpoint called `resource_user_id`.

### Bug fixes

* Fixed an issue that caused MyFitnessPal integration to be down
* Fixed a bug where if only hypnogram samples have been updated in a sleep payload, we will deduplicate it.
* Fixed a bug where we return a 500 error if no destinations have been set for a developer ID
* Fixed a bug where if COROS does not send a FitFile, we do not send the activity
* Fixed a bug where WHOOP activities/sleep payloads were not triggered on webhook
* Fixed a bug in KETOMOJO Integration where get body would not return data correctly.
* Fixed a bug where Fitbit Oxygen Saturation samples did not have timezones
* Fixed a bug where Polar Daily data were not triggered as often as they could be

### Odin AI

* Odin AI can now generate workout and recovery plans!
* Odin AI now uses peer-reviewed research to power its recommendations

***

## SDK 📱

### [TerraiOS](https://docs.tryterra.co/reference/terra-ios-package) v1.5.1

* Apple stand seconds are now returned as an activity intensity in daily payloads
* Add iOS 17 features:
  * Cycling Cadence
  * Cycling Power
  * Cycling Speed
  * (Running Speed)

### [TerraRTiOS](ref:reference-stream-heart-rate-ios-sdk)

* Expose `isPaired`, `complicationEnabled`, `watchAppInstall` to a listener to observe changes when watch state changes as well
* Extend `startRealtime` to websocket callback to execute on websocket connection dropping
* Remove `Null` names from Bluetooth Scanning
* Expose communication channel between Watch OS and iOS device

### [WearOS SDK](doc:wearos-sdk)

* Request additional added permissions for bluetooth scanning.

***

## Frontend📺

### Landing Page

* Update individual customer stories page

### Widget

* Fix Swedish language on widget page

### Dashboard

* Added new destinations to dashboard!
  * Firestore
* Added new processing type to dashboard:
  * Fit File (Only on Webhooks and S3 storage).
    * **N.B** Fit Files are standards for workouts. For any other data types, please use normal Terra payloads
* Added a *Provider Logs* page, which shows all the payloads' metadata sent from wearables for a given user: <https://dashboard.tryterra.co/dashboard/debug>
* Analytics - Connected Device graph now shows total users connected as well as how many users connected in a given period.
* Tags added for connections to let you know which ones are API + SDK and which ones are SDK only.
* Connections are now sorted by priority (popularity)
* When adding a destination, we will ping it to make sure it is valid. If not, we will display an error on what went wrong.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tryterra.co/changelog/2023/2023-october-updates.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
